<template>
    <div>
        <classifyZH v-if="type==1" @typeChange="typeChange" />
        <classifyEN v-if="type==2" @typeChange="typeChange" />
    </div>
</template>

<script>
import classifyZH from './classifylist.vue'
import classifyEN from './classifyEnlist.vue'
export default {
    components:{
        classifyZH,
        classifyEN
    },
    data() {
        return {
            type:'1',//1 中文研报分类 2英文研报分类
        }
    },
    methods:{
        typeChange(e){
            this.type=e
        }
    },
    mounted(){
        const {classifyBtn,enClassifyBtn,checkPermissionBtn} = this.permissionBtn
        if(checkPermissionBtn(classifyBtn.classifyList_cnClassify)){
            this.type = '1'
        }else if(checkPermissionBtn(enClassifyBtn.classifyList_enClassify)){
            this.type = '2'
        }
    }
}
</script>

<style>

</style>